
%global meadversion 1.1.0
%global namedversion 1.1.0.redhat-00007
%global meadalpha .redhat_00007
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00007

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package fge-msg-simple}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.0.redhat-00007

Name:           %{?scl_prefix}fge-msg-simple
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        A lightweight, extensible message bundle API which you can use as a replacement to Java's ResourceBundle
License:        LGPLv3+ and ASL 2.0
Group:          Development/Java

%if %with mead
Source100: msg-simple-1.1.0.redhat-00007-project-sources.tar.gz
Source102: msg-simple-1.1.0.redhat-00007-sources.jar
Source103: msg-simple-1.1.0.redhat-00007-javadoc.jar
Source104: msg-simple-1.1.0.redhat-00007.jar
Source105: msg-simple-1.1.0.redhat-00007.pom
%endif

URL:            https://github.com/fge/msg-simple/
BuildRoot:      %{_tmppath}/fge-msg-simple-%{version}-%{release}-root
BuildArch:      noarch

%description
This is a lightweight, extensible message bundle API which you can use as a replacement to Java's ResourceBundle.

%if %with javadoc
%package javadoc
Group:          Documentation

Summary:        Javadoc for fge-msg-simple
BuildRequires:  unzip

%description javadoc
API documentation for fge-msg-simple.
%endif

%prep
%setup -q -n msg-simple-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 0644 %{_sourcedir}/msg-simple-%{namedversion}.jar %{buildroot}%{_javadir}/msg-simple-%{namedversion}.jar
install -p -m 0644 %{_sourcedir}/msg-simple-%{namedversion}-sources.jar %{buildroot}%{_javadir}/msg-simple-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/msg-simple-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/msg-simple-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/fge-msg-simple-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/msg-simple-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/fge-msg-simple-%{namedversion} -x META-INF/\*
%{__ln_s} fge-msg-simple-%{namedversion} %{buildroot}%{_javadocdir}/fge-msg-simple
%endif

%clean
rm -rf %{buildroot}

%files -n %{?scl_prefix}fge-msg-simple
%defattr(0644,root,root,0755)
%doc LICENSE ASL-2.0.txt LGPL-3.0.txt README.md RELEASE-NOTES.md
%{_javadir}/msg-simple-%{namedversion}.jar
%{_javadir}/msg-simple.jar
%{_javadir}/msg-simple-%{namedversion}-sources.jar
%{_javadir}/msg-simple-sources.jar
%if %with javadoc
%{_javadir}/msg-simple-%{namedversion}-javadoc.jar
%{_javadir}/msg-simple-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/fge-msg-simple-%{namedversion}
%{_javadocdir}/fge-msg-simple
%endif


%changelog
* Tue Sep 01 2020 Yong Yang <yyang@redhat.com> - 1.1.0-1.redhat_00007.1
-  1.1.0.redhat-00007

* Tue Sep 01 2020 Yong Yang <yyang@redhat.com> - 1.1.0-1.Final_redhat_00007.1
- Init build
